/***************************************************************************
**
**    $Header$
**
**    $Log$
** 
****************************************************************************/

#ifndef _MAPEDIT_H_
#define _MAPEDIT_H_
//
// mapedit.h : header file
//
#include "myedit2.h"
#include "spin.h"

/////////////////////////////////////////////////////////////////////////////
// CMapEdit dialog

class CMapEdit : public CDialog
{
// Construction
public:
   int            m_nArea;
   BOOL           m_IsSet;
   CMyEdit2       m_edit1;
   CSpinControl   m_spin1;
   CMyEdit2       m_edit2;
   CSpinControl   m_spin2;

   CMapEdit(CWnd* pParent = NULL);  // standard constructor

// Dialog Data
   //{{AFX_DATA(CMapEdit)
	enum { IDD = IDD_MAPEDIT };
	int		m_nAttribute;
	CString	m_strSpaceArea;
	CString	m_strStartAddr;
	CString	m_strEndAddr;
	//}}AFX_DATA

// Implementation
protected:
   virtual void DoDataExchange(CDataExchange* pDX);   // DDX/DDV support

   // Generated message map functions
   //{{AFX_MSG(CMapEdit)
   virtual BOOL OnInitDialog();
   virtual void OnCancel();
	afx_msg void OnSet();
	//}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

#endif
